| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GlsLightSource Class Reference
Inheritance diagram for GlsLightSource:

## Public Types
enum | LightType_e { LIGHT_LOCAL , LIGHT_INFINITE }
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }

## Public Member Functions
| GlsLightSource ()
| GlsLightSource (GlsLightSource &src)
void | SetAmbient (GlsColor color)
void | SetDiffuse (GlsColor color)
void | SetSpecular (GlsColor color)
GlsColor | GetAmbient ()
GlsColor | GetDiffuse ()
GlsColor | GetSpecular ()
GlsLightSource::LightType_e | LightType (void)
void | LightType (GlsLightSource::LightType_e lt)
void | SpotCutoff (float s)
float | SpotCutoff ()
void | SpotExponent (float s)
float | SpotExponent ()
void | ConstantAttenuation (float c)
float | ConstantAttenuation ()
void | LinearAttenuation (float c)
float | LinearAttenuation ()
void | QuadraticAttenuation (float c)
float | QuadraticAttenuation ()
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsLightSource * | CastToGlsLightSource (DisplayObject *obj)

## Additional Inherited Members
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

common editor interface variable

## Member Enumeration Documentation

## ◆ LightType_e

enum GlsLightSource::LightType_e

Enumerator
LIGHT_LOCAL |
LIGHT_INFINITE |

## Constructor & Destructor Documentation

## ◆ GlsLightSource() [1/2]

GlsLightSource::GlsLightSource | ( |  | ) |

default ctor

## ◆ GlsLightSource() [2/2]

GlsLightSource::GlsLightSource | ( | GlsLightSource & | src | ) |

copy ctor

## Member Function Documentation

## ◆ CastToGlsLightSource()

static GlsLightSource * GlsLightSource::CastToGlsLightSource | ( | DisplayObject * | obj | ) |
| static

Casts a display object to a lightsource.

Parameters

  obj | The display object to cast.

## ◆ ConstantAttenuation() [1/2]

float GlsLightSource::ConstantAttenuation | ( |  | ) |

Get the constant attenuation coefficient.

Returns
  The coefficient

## ◆ ConstantAttenuation() [2/2]

void GlsLightSource::ConstantAttenuation | ( | float | c | ) |

Set the constant attenuation coefficient.

Parameters

  c | New coefficient

## ◆ GetAmbient()

GlsColor GlsLightSource::GetAmbient | ( |  | ) |

Get the ambient color for this light.

Returns
  The ambient color

## ◆ GetDiffuse()

GlsColor GlsLightSource::GetDiffuse | ( |  | ) |

Get the diffuse color for this light.

Returns
  The diffuse color

## ◆ GetSpecular()

GlsColor GlsLightSource::GetSpecular | ( |  | ) |

Get the specular color for this light.

Returns
  The specular color

## ◆ LightType() [1/2]

void GlsLightSource::LightType | ( | GlsLightSource::LightType_e | lt | ) |

Set what type of light this is.

Parameters

  lt | The type of light (

See also
  GlsLightSource::LightType_e)

## ◆ LightType() [2/2]

GlsLightSource::LightType_e GlsLightSource::LightType | ( | void |  | ) |

Get what type of light this is.

Returns
  Tye type of light (

See also
  GlsLightSource::LightType_e)

## ◆ LinearAttenuation() [1/2]

float GlsLightSource::LinearAttenuation | ( |  | ) |

Get the linear attenuation coefficient.

Returns
  The coefficient

## ◆ LinearAttenuation() [2/2]

void GlsLightSource::LinearAttenuation | ( | float | c | ) |

Set the linear attenuation coefficient.

Parameters

  c | New coefficient

## ◆ QuadraticAttenuation() [1/2]

float GlsLightSource::QuadraticAttenuation | ( |  | ) |

Get the quadratic attenuation coefficient.

Returns
  The coefficient

## ◆ QuadraticAttenuation() [2/2]

void GlsLightSource::QuadraticAttenuation | ( | float | c | ) |

Set the quadratic attenuation coefficient.

Parameters

  c | New coefficient

## ◆ SetAmbient()

void GlsLightSource::SetAmbient | ( | GlsColor | color | ) |

Set the ambient color for this light.

Parameters

  color | The new ambient color

## ◆ SetDiffuse()

void GlsLightSource::SetDiffuse | ( | GlsColor | color | ) |

Set the diffuse color for this light.

Parameters

  color | The new diffuse color

## ◆ SetSpecular()

void GlsLightSource::SetSpecular | ( | GlsColor | color | ) |

Set the specular color for this light.

Parameters

  color | The new specular color

## ◆ SpotCutoff() [1/2]

float GlsLightSource::SpotCutoff | ( |  | ) |

Get the spot cutoff factor.

Returns
  Spot cutoff factor

## ◆ SpotCutoff() [2/2]

void GlsLightSource::SpotCutoff | ( | float | s | ) |

Set the spot cutoff factor.

Parameters

  s | New spot cutoff factor

## ◆ SpotExponent() [1/2]

float GlsLightSource::SpotExponent | ( |  | ) |

Get the spot exponent.

Returns
  Spot exponent

## ◆ SpotExponent() [2/2]

void GlsLightSource::SpotExponent | ( | float | s | ) |

Set the spot exponent.

Parameters

  s | New spot exponent

The documentation for this class was generated from the following file:

- GlsLightSource.i